de.dhbwstuttgart.typeinference

## Interface Typeable

- All Known Subinterfaces:
    TypeInsertable
  All Known Implementing Classes:
    Assign, Binary, BinaryExpr, Block, BoolLiteral, CastExpr, CharLiteral, Constant, Constructor, ConstructorCall, DoubleLiteral, EmptyStmt, Expr, ExprStmt, Field, FieldDeclaration, FloatLiteral, FormalParameter, ForStmt, FunNMethod, IfStmt, InstanceOf, InstVar, IntLiteral, LambdaExpression, LambdaParameter, Literal, LocalOrFieldVar, LocalVarDecl, LongLiteral, Method, MethodCall, NegativeExpr, NewArray, NewClass, NotExpr, Null, PositivExpr, PostDecExpr, PostIncExpr, PreDecExpr, PreIncExpr, Return, Statement, StringLiteral, SuperCall, This, ThisCall, UnaryExpr, WhileStmt

      public interface Typeable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `getType()`
    `void` | `setType(Type typ)`

- - ### Method Detail

    - #### setType

          void setType(Type typ)

      Parameters:
        `typ` - Der Typ der Typable-Expression/Statement

    - #### getType

          Type getType()